List Workflow Nodes
curl --request GET \
--url https://api.xpander.ai/v1/workflows/{workflow_id}/nodes \
--header 'x-api-key: <api-key>'import requests
url = "https://api.xpander.ai/v1/workflows/{workflow_id}/nodes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.xpander.ai/v1/workflows/{workflow_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "f6f6f6f6-a7a7-b8b8-c9c9-d0d0d0d0d0d0",
"type": "action",
"name": "Send Message",
"connection_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"operation_id": "68230439d76e61ed7e92e4c3",
"after_node_ids": [],
"next_node_ids": []
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}REST API - Workflows
List Workflow Nodes
List a workflow’s orchestration nodes in a simplified shape.
GET
/
v1
/
workflows
/
{workflow_id}
/
nodes
List Workflow Nodes
Authorizations
API Key for authentication
Path Parameters
Response
Successful Response
Node id (use to update/remove the node).
Node type (action, agent, classifier, ...).
Node name.
Ids of nodes that run after this one.
Referenced asset id for action/agent nodes.
Connection id parsed from an action node's asset_id.
Operation catalog id parsed from an action node's asset_id.
Agent id for agent nodes.
Was this page helpful?
⌘I

